# Set Screen Display On/Off
This interface allows you to turn the screen display on or off.
# API Path
{CLTPlatform-ip}:8086/processor/setScreenShowOnOrOff
- Replace
{CLTPlatform-ip}with the corresponding IP address. - The request port is
8086.
# Protocol
HTTP
# Method
POST
# Request Parameter
- Set the
Content-Typeof the request body toapplication/json.
| Parameter Name | Description | Required | Type | Data Dictionary | Limit | Example |
|---|---|---|---|---|---|---|
| command | Command type | Yes | string | processor/setScreenShowOnOrOff | ||
| data | Data | Yes | object | |||
| data >> index | Sender index (starting from 0, -1 for all senders) | Yes | int | 0 | ||
| data >> groupIndex | Screen group index (0~screenGroupCount-1) | Yes | int | 0 | ||
| data >> bScreenShowOn | Whether to display (false for black screen) | Yes | boolean | false |
# Request Example
{
"command": "processor/setScreenShowOnOrOff",
"data": {
"index": 0,
"groupIndex": 0,
"bScreenShowOn": false
}
}
# Response
| Parameter Name | Description | Required | Type | Data Dictionary | Limit | Example |
|---|---|---|---|---|---|---|
| command | Command type | Yes | string | |||
| code | Status code | Yes | int | |||
| message | Message | Yes | string | |||
| data | Data | Yes | object |
# Response Example
{
"code": 20000,
"command": "processor/setScreenShowOnOrOff",
"data": {},
"message": "Common_Success"
}
# Detailed Description
* 2023.11.16
1. Standardized fields.